petsc-3.10.5 2019-03-28
Report Typos and Errors

# KSPView

Prints the KSP data structure.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPView(KSP ksp,PetscViewer viewer)

Collective on KSP

### Input Parameters

| ksp | - the Krylov space context
| viewer | - visualization context

### Options Database Keys

-ksp_view -print the ksp data structure at the end of a KSPSolve call

### Note

The available visualization contexts include

| PETSC_VIEWER_STDOUT_SELF | - standard output (default)
| PETSC_VIEWER_STDOUT_WORLD | - synchronized standard output where only the first processor opens the file. All other processors send their data to the first processor to print.

The user can open an alternative visualization context with PetscViewerASCIIOpen() - output to a specified file.

### Keywords

KSP, view

### See Also

PCView(), PetscViewerASCIIOpen()

### Level

beginner

### Location

src/ksp/ksp/interface/itcreate.c

### Examples

src/ksp/ksp/examples/tutorials/ex1.c.html
src/ksp/ksp/examples/tutorials/ex23.c.html
src/ksp/ksp/examples/tutorials/ex72.c.html
src/ksp/ksp/examples/tutorials/ex1f.F90.html

### Implementations

KSPView_BCGSL in src/ksp/ksp/impls/bcgsl/bcgsl.c
KSPView_CG in src/ksp/ksp/impls/cg/cg.c
KSPView_PIPELCG in src/ksp/ksp/impls/cg/pipelcg/pipelcg.c
KSPView_FCG in src/ksp/ksp/impls/fcg/fcg.c
KSPView_PIPEFCG in src/ksp/ksp/impls/fcg/pipefcg/pipefcg.c
KSPView_FETIDP in src/ksp/ksp/impls/fetidp/fetidp.c
KSPView_GCR in src/ksp/ksp/impls/gcr/gcr.c
KSPView_PIPEGCR in src/ksp/ksp/impls/gcr/pipegcr/pipegcr.c
KSPView_AGMRES in src/ksp/ksp/impls/gmres/agmres/agmres.c
KSPView_DGMRES in src/ksp/ksp/impls/gmres/dgmres/dgmres.c
KSPView_GMRES in src/ksp/ksp/impls/gmres/gmres.c
KSPView_LGMRES in src/ksp/ksp/impls/gmres/lgmres/lgmres.c
KSPView_PIPEFGMRES in src/ksp/ksp/impls/gmres/pipefgmres/pipefgmres.c
KSPView_LCD in src/ksp/ksp/impls/lcd/lcd.c
KSPView_LSQR in src/ksp/ksp/impls/lsqr/lsqr.c
KSPView_Richardson in src/ksp/ksp/impls/rich/rich.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages